define(function () {
	const _listeners = [];
	const _unique = [];

	function addListener(eventHandler, window) {
		if(_unique.indexOf(window) === -1) {
			_listeners.push(eventHandler);
			_unique.push(window);
		} else {
			_listeners[_unique.indexOf(window)] = function(nothing,nothingtoo){};
			_listeners.push(eventHandler);
			_unique[_unique.indexOf(window)] = function(nothing,nothingtoo){};
			_unique.push(window);
		}
	}

	function trigger(eventName, data) {
		_listeners.forEach(listener => listener(eventName, data))
	}

	return {
		addListener,
		trigger
	}
});